/*
#####################################################
##	Estilos Generales
#####################################################
*/
/***** ANIMATE *****/
.animated-block {
    opacity: 0;
    transform: translateY(20px);
}

.animated-block.animate__animated {
    opacity: 1;
    transform: translateY(0);
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.fade-in-block {
    opacity: 0;
}

.fade-in-block.animate__animated {
    opacity: 1;
    transition: opacity 0.3s ease;
}

.hover-animate:hover {
    animation: headShake 0.8s;
}

/**** DEFINICIÓN FUENTES ****/
@font-face {
    font-family: 'Red Hat Display';
    src: url('../fonts/RedHatDisplay-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'Red Hat Display';
    src: url('../fonts/RedHatDisplay-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'Red Hat Display';
    src: url('../fonts/RedHatDisplay-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'Red Hat Display';
    src: url('../fonts/RedHatDisplay-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}
/**** FIN DEFINICIÓN FUENTES ****/


body {
    background: var(--white);
    color: var(--body);
    margin-top: 0;
}

h2 {
    font-size: 20px;
}

@media screen and (min-width: 768px) {
    h2 {
        font-size: 26px;
    }
}

@media screen and (min-width: 992px) {
    h2 {
        font-size: 30px;
    }
}

button:focus {
    outline: none;
}


a {
    transition: all .6s ease;
}

.contenedor-pagina--predeterminada ul li{
    list-style-type: disc;
}

/*** Página predeterminada ***/

.contenedor-pagina--predeterminada p {
    display: block;
    width: 100%;
}


/*** Inputs Generales ***/

input:focus {
    outline: none;
}

input[type=submit] {
    cursor: pointer;
    color: black;
}

input[type=checkbox] {
    border: 1px solid #ACACB7;
    width: 15px;
    height: 15px;
    border-radius: 4px;
    position: relative;
}

input[type=checkbox]:checked:after {
    content: "";
    display: block;
    width: 7px;
    height: 14px;
    border: solid var(--primary);
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    position: absolute;
    bottom: 8px;
    left: 6px;
    top: -4px;
}

input[type=radio] {
    border: 1px solid #A2A2A2;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    position: relative;
}

input[type=radio]:checked:after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: var(--primary);
    position: absolute;
}

.shadow:hover {
    box-shadow: 0 0.225rem .5rem rgba(0, 0, 0, .475) !important;
}

/* Flex */
.mg-flex-row {
    flex-direction: row !important;
}


@media (max-width: 768px) {
    .flex-row-reverse-small {
        flex-direction: row-reverse !important;
    }
}

.cta-primary,
.wc-block-cart__submit-button,
button[type="submit"],
.wc-block-components-checkout-place-order-button {
    background-color: var(--primary);
    color: var(--white);
    border: 0;
    padding: 1rem 2rem;
    border-radius: 36px;
    font-weight: 500;
    transition: all .3s ease;
    transition: .1s ease-in-out all;
    display: inline-block;
    border: 2px solid var(--primary);
}

.cta-primary:hover, .wc-block-cart__submit-button:hover, button[type="submit"]:hover, .wc-block-components-checkout-place-order-button:hover {
    background-color: transparent;
    color: var(--primary);
    border: 2px solid var(--primary);
}

.cta-primary-reverse {
    background-color: transparent;
    color: var(--primary);
    border: 2px solid var(--primary);
    padding: 1rem 2rem;
    border-radius: 36px;
    font-weight: 500;
    transition: all .3s ease;
    transition: .1s ease-in-out all;
    display: inline-block;
}

.cta-primary-reverse:hover {
    background-color: var(--primary);
    color: var(--white);
    border: 2px solid transparent;
}

.cta-secondary {
    background-color: transparent;
    color: var(--primary);
    border: 2px solid var(--primary);
    padding: 1rem 2rem;
    border-radius: 36px;
    font-weight: 500;
    transition: all .3s ease;
    transition: .1s ease-in-out all;
    display: inline-block;
}

.cta-secondary:hover {
    background-color: var(--primary);
    color: var(--white);
    border: 2px solid transparent;
}   

/*
#####################################################
##	FIN Estilos Generales
#####################################################
*/


/*
#####################################################
##	Estilos Generales de colores
#####################################################
*/

.white{
    color: var(--white)!important
}

.black{
    color: var(--black) !important
}

.green {
    color: var(--green);
}

.orange {
    color: var(--orange);
}

.blue {
    color: var(--primary);
}

.purple {
    color: var(--purple);
}

.borde-orange {
    border-color: var(--orange) !important;
}

.borde-purple {
    border-color: var(--purple) !important;
}

.borde-blue {
    border-color: var(--primary) !important;
}

.borde-green {
    border-color: var(--green) !important;
}

.borde-black {
    border-color: var(--black) !important;
}

/*
#####################################################
##	Fin Estilos Generales de colores
#####################################################
*/


input[type=submit] {
    cursor: pointer !important;
}

.wpcf7-spinner {
    display: none;
}

.wpcf7-list-item {
    margin: 0;
}

.input[type=submit]:disabled {
    opacity: initial !important;
}


@media screen and (min-width: 992px) {   
    form {
        padding: 0 15px;
    }
}

form p {
    margin: 0;
}

form p label br {
    display: none;
}



/*
#####################################################
##	Estilos breadcrumb
#####################################################
*/

#breadcrumbs {
    margin-top: 30px;
}

p#breadcrumbs span {
    font-size: 20px;
    color: #019DBF;
}

#breadcrumbs a {
    color: black;
    font-style: bold;
}


@media(max-width: 768px) {
    p#breadcrumbs span {
        font-size: 18px;
    }
}


/*
#####################################################
##	Estilos formualrio de busqueda
#####################################################
*/

.search-form {
    display: flex;
    display: -ms-flexbox;
    display: -webkit-flex;
    align-items: center;
    justify-content: center;
}
.search-form label {
    border-radius: 36px 0 0 36px;
    border: 2px solid var(--primary);
    background-color: transparent;
    overflow: hidden;
    padding: 0;
    margin: 0;
    width: 100%;
}

.search-form label .search-field {
    width: 100%;
    height: 100%;
    padding: 1rem;
    border: 0;
    background-color: transparent;
}
.search-form .search-submit {
    background-color: var(--primary);
    padding: 1rem;
    border: 0;
    border-radius: 0 36px 36px 0;
}


/*
#####################################################
##	FIN Estilos formualrio de busqueda
#####################################################
*/


/*
#####################################################
##	CONTACTO
#####################################################
*/

.linea-titulo-contacto {
    height: 3px;
    width: 130px;
    background-color: var(--primary);
    display: block;
}


.contenedor-form-contacto form p input[type="text"],
.contenedor-form-contacto form p input[type="tel"],
.contenedor-form-contacto form p input[type="email"] {
    padding: .5rem 1.5rem;
    border: 1px solid var(--light);
    border-radius: 6px;
    color: var(--body);
    font-size: 16px;
    width: 100%;
}

.contenedor-form-contacto form p input::placeholder {
    font-size: 16px;
    color: var(--light);
}

.contenedor-form-contacto form p textarea {
    padding: .5rem 1.5rem;
    border: 1px solid var(--light);
    border-radius: 6px;
    color: var(--body);
    font-size: 16px;
    height: 150px;
    max-height: 200px;
    width: 100%;
}

.contenedor-form-contacto form p textarea::placeholder {
    font-size: 16px;
    color: var(--light);
}

.contenedor-form-contacto .contenedor-input-politica .wpcf7-list-item {
    margin: 0 !important;
}

.contenedor-form-contacto .contenedor-input-politica .wpcf7-list-item label {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.contenedor-form-contacto .contenedor-input-politica {
    font-size: 14px;
}

.contenedor-form-contacto .contenedor-input-politica input {
    margin-right: .5rem;
}

.contenedor-form-contacto .contenedor-input-politica a {
    color: var(--primary);
    text-decoration: underline;
}

.contenedor-form-contacto form p input[type="submit"] {
    background-color: var(--primary);
    color: #ffffff;
    padding: .5rem 2.5rem;
    border: 1px solid var(--primary);
    border-radius: 6px;
}

.contenedor-form-contacto form p input[type="submit"]:hover {
    background-color: transparent;
    color: var(--body);
}

/*
#####################################################
##	FIN CONTACTO
#####################################################
*/